﻿.today-marker {
    z-index: 1;
}
/*.gantt_grid_data .gantt_row.gantt_selected, .gantt_grid_data .gantt_row.odd.gantt_selected, .gantt_task_row.gantt_selected {
    background-color: #fff !important;
}*/
/*.gantt_task_row.gantt_selected .gantt_task_cell {
    border-right-color: #ebebeb !important;
}*/
.gantt_link_control.task_right.task_end_date, .gantt_link_control.task_left.task_start_date, .gantt_task_progress_drag {
    display: none !important;
}
.gantt_task_line.gantt_selected {
    box-shadow: none !important;
}
/*.gantt_layout_cell.grid_cell.gantt_layout_outer_scroll.gantt_layout_outer_scroll_vertical.gantt_layout_outer_scroll.gantt_layout_outer_scroll_horizontal.gantt_layout_cell_border_right{
    min-width: 400px !important;
}*/
.gantt_cell {
    text-align: center;
}
#ganttContainer {
    /*min-width: 100%;*/
    width: 100%;
    height: 67vh;
    position: relative;
    margin-bottom: 20px;
    /*overflow-x: auto;*/
}
/*.custom-grid-row {
    min-width: 100%;*/ /* Thay đổi chiều rộng tùy chỉnh */
    /*white-space: nowrap;*/ /* Ngăn chặn xuống dòng */
/*}

.custom-grid-header {
    min-width: 100%;*/ /* Thay đổi chiều rộng tùy chỉnh */
    /*white-space: nowrap;*/ /* Ngăn chặn xuống dòng */
/*}*/
/*.gantt-chart-container {
    overflow-x: auto; 
    width: 100%;
}*/
/*.gantt_grid_scale{
    padding-left:40px
}*/
.today-marker {
    position: absolute;
    z-index: 10;
}
/* Full-screen styles */
.fullscreen {
    position: fixed;
    top: 0;
    left: 0;
    width: 100vw;
    height: 100vh;
    z-index: 9999;
    background: white;
}
#fullscreenBtn {
    margin: 10px;
}
/*.gantt_task {
    pointer-events: none;
}*/
.gantt_row.gantt_transparent.gantt_row_task {
    background-color: rgb(166, 191, 212, 1) !important
}
.gantt_layout_cell.grid_cell.gantt_layout_outer_scroll.gantt_layout_outer_scroll_vertical.gantt_layout_outer_scroll.gantt_layout_outer_scroll_horizontal.gantt_layout_cell_border_right {
    transition: width 0.2s ease;
}
.gantt_grid_scale, .gantt_task_scale {
    /*background-color: rgb(166, 191, 212, 0.3);*/
    background-color: #002a60;
    /*border-bottom: 1px solid #8fb4d3;*/
    border-bottom: 1px solid #909090;
}
.gantt_grid_head_cell, .gantt_scale_cell {
    /*color: #8fb4d3 !important;*/
    color: white !important;
    /*color: black !important;*/
    font-weight: 600;
}
.gantt_grid_data .gantt_row.odd:hover, .gantt_grid_data .gantt_row:hover {
    background-color: #fffadf !important;
}
.gantt_task_parent.gantt_task_line {
    /*background-color: #7ba0ca !important;*/
    background-color: #75b4df !important;
    border: 1.5px solid #2c81ba
}
.gantt_task_child.gantt_task_line {
    /*background-color: #7ba0ca !important;*/
    background-color: #34c461 !important;
    border: 1.5px solid #2ca753
}

.sunday-column {
    color: white;
    background-color: black;
}
/*.gantt_grid {
    overflow-x: auto;
}*/
.gantt_grid_head_cell, .gantt_layout_cell.scrollVer_cell, .gantt_layout_content.gantt_task_vscroll, .gantt_scale_cell {
    font-size: 0.75rem;
    background-color: rgb(166, 191, 212, 0.3);
}
.gantt_cell {
    font-size: 0.75rem;
}
.loading {
    width: 200vh;
    height: 60vh;
    /*  align-items: center;
    justify-content: center;*/
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    font-size: 20px;
    color: #007bff;
    z-index: 1000;
    background-color: red;
    padding: 20px;
    border-radius: 5px;
    text-align: center;
}
/*.gantt_tooltip {
    background-color: #4f667a;
    border-radius: 0.25rem;
    color: white;
    font-weight: 600;
    font-size: 0.75rem;
}*/
/*.gantt_cell, .gantt_grid_head_cell{
    min-width:150px !important
}*/
/*.gantt_cell, .gantt_grid_head_cell {
    min-width: 80px !important;
}
.gantt_cell:first-child, .gantt_grid_head_cell:first-child {
    width: 80px !important;
}
.gantt_cell:nth-child(2),.gantt_grid_head_cell:nth-child(2) {
    min-width: 80px !important;
}
.gantt_cell:nth-child(3), .gantt_grid_head_cell:nth-child(3) {
    min-width: 150px !important;
}
    .gantt_cell:nth-child(4), .gantt_grid_head_cell:nth-child(4), .gantt_cell:nth-child(5), .gantt_grid_head_cell:nth-child(5) {
        min-width: 150px !important;
    }*/
.invisible_task {
    z-index: 22;
}
.gantt_task_line, .gantt_line_wrapper {
    z-index: 3;
}
.gantt_cell{
    padding:0
}
.invisible_task {
    background-image: radial-gradient(plum, orange,cyan);
    opacity: 0.01;
    width: 10px;
    height: 34px;
    right: 0;
    background-repeat: repeat-x;
    position: fixed;
    margin-top: -2px;
    overflow: hidden;
    cursor: move
}
.gantt_task_parent.gantt_task_line .gantt_task_progress {
    /*background-color: #3c6494;*/
    background-color: #2c81ba;
}
.gantt_task_child.gantt_task_line .gantt_task_progress {
    /*background-color: #3c6494;*/
    background-color: #2ca753;
}
.tooltip-content {
    min-width: 400px;
    word-wrap: break-word;
    white-space: normal;
    /*background-color: #fff;
    border: 1px solid #ccc;
    padding: 10px;
    border-radius: 4px;
    box-shadow: 0 2px 10px rgba(0, 0, 0, 0.1);*/
}
/*.gantt_grid{
    overflow-x: auto;
}*/
.optionBar {
    padding: 10px;
    margin: 5px;
    border: 1.5px solid #418ac7;
    border-radius: 5px;
    cursor: pointer;
    transition: background-color 0.3s;
}
.optionBar:hover {
    background-color: #f0f8ff;
}
.optionBar.selected {
    background-color: #5496cd;
    color: white;
    border-color: #418ac7;
}
/*.gantt_layout_cell.grid_cell.gantt_layout_outer_scroll.gantt_layout_outer_scroll_vertical.gantt_layout_outer_scroll.gantt_layout_outer_scroll_horizontal.gantt_layout_cell_border_right{
    overflow-x:auto;
}*/
.resize-handle {
    width: 5px;
    /*background-color: rgb(166, 191, 212, 0.3);*/
    cursor: ew-resize;
    position: absolute;
    right: 0;
    top: 0;
    bottom: 0;
}

.gantt_grid_head_cell {
    position: relative;
}
.resize-total {
    width: 5px; 
    cursor: ew-resize;
    position: absolute;
    top: 0; 
    left: 0; 
    height: 100%; 
    background-color: rgba(0, 0, 0, 0.1);
}
.gantt_layout_cell.gridScroll_cell{}
.btnItemDate {
    border: 1px solid #418ac7;
    border-radius: 30px;
    justify-content: space-between;
    align-items: center;
    padding: 0 5px;
}
.btnItemDate button{
    border:none;
    background:none;
}

.gantt_task_line {
    margin-top: 10px; 
}
.gantt_side_content.gantt_right {
    position:relative;
    top:-50px;
    left:0;
    overflow:unset;
}
.checkPlan {
    position:absolute;
    top: 0px;
    left:-2px;
}
.checkPlan .iconBlock{
    position:absolute;
    top: 0.5px;
    left:22px;
    width:25.5px;
}
.gantt_task_content {
    /*overflow: unset;*/
    /*color: black;*/
    /*font-weight:550;*/
    display: none;
    /* border-radius: inherit;
background-color: rgb(17, 20, 24, 0.3);
border: 2px solid gray;*/
}
/*.checkBlock {
    border-radius: 5px !important;*/
    /*background-color: rgb(17, 20, 24, 0.3);*/
    /*display:flex;
    padding-left: 20px;*/
    /*border: 2px solid gray;*/
/*}*/
.checkBlock img {
    width: 26px;
    /*border-radius: 50px;
    background-color: #e7e7e7;
    padding: 2px;
    border: 1px solid #CF5D5D;*/
}
.gantt_grid_head_cell .gantt_sort.gantt_asc {
    display: inline-block;
    width: 20px;
    height: 20px;
    top: 50%;
    background-image: url(/img/icon/icons8-sort-51SC.png);
    background-size: cover;
    transform:translateY(-50%)
    /*margin-right: 4px;*/
}
.gantt_grid_head_cell .gantt_sort.gantt_desc {
    display: inline-block;
    width: 20px;
    height: 20px;
    top: 30%;
    background-image: url(/img/icon/icons8-sort-511SC.png);
    background-size: cover;
    /*margin-right: 4px;*/
}
.gantt_grid_head_cell .gantt_sort.gantt_asc::before, .gantt_grid_head_cell .gantt_sort.gantt_desc::before {
    content: "";
}
.tooltip-row {
    display: flex; 
    align-items: center; 
    margin-bottom: 5px; 
}

.tooltip-key {
    flex-grow: 1;
    min-width: 0; 
    white-space: nowrap;
    text-align: left;
}

.tooltip-value {
    flex-shrink: 0;
    text-align: left;
}
.itemDropTest.Checked {
    background-color: #e2f2fe;
}
.itemDropTest.Checked img {
    margin-bottom: 5px;
    margin-right: 5px;
}
.itemDropTest{
    white-space:unset;
}
.btnSimuOption {
    /*background: none;*/
    border: 1px solid #418ac7;
    height: 36px;
    border-radius: 10px;
    font-weight: 500;
    background-color: #418ac7;
    color: white;
}
.transparent {
    opacity: 0;
}
.customSM {
    transform: translate(0px, 36px) !important
}
/*gantt_layout_cell gantt_layout_root gantt_layout gantt_layout_x main_cell gantt_layout_cell_border_left gantt_layout_cell_border_top gantt_layout_cell_border_right gantt_layout_cell_border_bottom*/
.gantt_layout_cell.gantt_layout_root.gantt_layout.gantt_layout_x.main_cell.gantt_layout_cell_border_left.gantt_layout_cell_border_top.gantt_layout_cell_border_right.gantt_layout_cell_border_bottom {
    /*border: 1px solid #8fb4d3;*/
    border: 1px solid #909090;
    /*border-top: 2px solid #8fb4d3;*/
    border-top: 1px solid #909090;
    /*border-right: 2px solid #8fb4d3;*/
}
.gantt_grid_head_cell, .gantt_scale_cell {
    /*border-right: 1px solid #8fb4d3;*/
    border-right: 1px solid #909090;
    /*border-left: 1px solid #8fb4d3;*/
}
.gantt_grid_head_cell.gantt_grid_head_invisible_field {
    border: none
}
.gantt_row.odd {
    /*background-color: rgb(166, 191, 212, 0.3);*/
    background-color: #DBDBDB;
}
.gantt_row {
    /*border-bottom: 1px solid #8fb4d3;*/
    border-bottom: 1px solid #909090;
}
.gantt_layout_cell_border_right .gantt_task_row {
    border-bottom: 1px solid #eaeaea;
}
.gantt_cell, .gantt_task_cell.sunday-highlight {
    /*border-right: 1px solid #8fb4d3;*/
    border-right: 1px solid #909090;
}
.gantt_layout_cell_border_right .gantt_task_cell {
    border-right: 1px solid #eaeaea;
}
.gantt_task_cell.sunday-highlight {
    background-color: rgb(17, 20, 24, 0.2) !important;
}
.gantt_cell[data-column-name="invisible_field"]{
    border:none
}
/*.gantt_task_line.gantt_task_inline_color {
    border-color: rgba(33, 33, 33, 0.3);*/
    /*border-right: 1px solid;*/
/*}*/
/*.gantt_layout_x > .gantt_layout_cell {
    border-right: 2px solid #8fb4d3 !important;
}
.gantt_cell.gantt_last_cell {
    border-right: 1px solid #8fb4d3 !important;
}*/
.gantt_task_scale, .gantt_data_area {
    /*border-left: 3px solid #8fb4d3 !important;*/
    border-left: 1px solid #909090 !important;
}
.gantt_custom_text {
    font-weight: 550;
    color: black;
}
.gantt_task_line.gantt_bar_task {
    /*border: 1px solid #8fb4d3;*/
}
.gantt_tooltip{
    border-radius:0;
    background-color:white;
}
.tooltip-key, .tooltip-value{
    color:black
}
.btnScheduleCustom {
    display: flex;
    align-items: center;
    justify-content: center;
    min-width: 3rem;
    /*background: none;*/
    border: 1px solid #418ac7;
    height: 26px;
    /*border-radius: 5px;*/
    background-color: #5496cd;
    /*border-color: #418ac7;*/
}
#startDateChoose {
    background-image: url(/img/icon/icons8-weekend-48-sche.png);
    background-color: #5496cd;
    border: 1px solid #418ac7;
}
.nav-link.editTabUi.active {
    border-radius: 0;
    font-weight: 600;
    /*border: 1px solid #d4d7d7 !important;
    border-bottom:none !important;*/
}
.nav-link.editTabUi {
    background-color: #d4d7d7;
    color: black;
    border-radius: 0 !important;
    /*border: 1px solid white !important;*/
}
.editTabUi:hover {
    color: black;
    background-color: #fffadf;
}
.heightInModal{
    height:36px
}
.h-px-26 {
    height: 26px
}
.titleInModal{
    all:unset;
    color: black !important;
}
.titleInModalCostCalculation {
    all: unset;
    color: white ;
    line-height: 1.3;
}
.form-control.custumDateChooseGrantt, .form-control.custumDateChooseGrantt:focus {
    /*border-radius: 5px !important;*/
    border-radius: none !important;
    /*background-image: url(/img/icon/icons8-weekend-48-sche.png) !important;*/
    background-image: url(/img/icon/icons8-weekend-24-sche.png) !important;
    /*width: 38px;*/
    width: 24px;
    /*height: 34px;*/
    height: 24px;
    background-color: #5496cd !important;
    border: 1px solid #418ac7;
    /*background-size: 24px !important;*/
    background-size: 18px !important;
    background-repeat: no-repeat !important;
    /*padding: 16px 18px !important;*/
    padding: 10px 14px !important;
    background-position: right 5.5px center !important;
}
.custumDateChooseGrantt.flatpickr-input{
    width:40px !important
}
.gantt_task_drag.task_left.task_start_date{
    height: 100%
}
/*select{}
select option{
    background-color:white !important;
    border-radius: 0 !important
}*/
/*.wrap {
    max-width: 400px;
    position: absolute;
    left: 50%;
    top: 30%;
    transform: translate(-50%, -30%);
}

h1 {
    text-shadow: 0 0 5px #FFF, 0 0 10px #FFF, 0 0 15px #FFF, 0 0 20px #49ff18, 0 0 30px #49FF18, 0 0 40px #49FF18, 0 0 55px #49ff18, 0 0 75px #49ff18, -40px -40px 0px rgba(28,110,164,0);
    color: #181B33;
    background: #232323;
    font-size: 47px;
    text-align: center;
    font-family: monospace;
}

.select {
    cursor: pointer;
    display: inline-block;
    position: relative;
    font-size: 16px;
    color: #fff;
    width: 100%;
    height: 40px;
}

select {
    display: none;*/ /* Ẩn select gốc */
/*}

.custom-select {
    position: relative;*/ /* Đặt vị trí tương đối */
/*width: 100%;
    height: 40px;
    background-color: #fff;
    color: #9E9E9E;
    padding: 8px 15px;
    cursor: pointer;
    display: block;
    text-align: left;
    -moz-transition: all 0.2s ease-in;
    -o-transition: all 0.2s ease-in;
    -webkit-transition: all 0.2s ease-in;
    transition: all 0.2s ease-in;
}

    .custom-select:after {
        content: "";
        width: 0;
        height: 0;
        border: 7px solid transparent;
        border-color: #9E9E9E transparent transparent transparent;
        position: absolute;
        top: 16px;
        right: 10px;
        transition: all 0.5s;
        transform-origin: 50% 25%;
    }

    .custom-select:active, .custom-select.active {
        background-color: #fff;
        color: #9E9E9E;
    }

        .custom-select:active:after, .custom-select.active:after {
            transform: rotateZ(180deg);
            transition: all 0.5s;
            transform-origin: 50% 25%;
        }

.select-options {
    max-height: 200px;
    overflow-y: auto;
    position: absolute;
    top: 100%;*/ /* Đặt dưới custom select */
/*right: 0;
    left: 0;
    z-index: 999;
    margin: 0;
    padding: 0;
    list-style: none;
    background-color: #AED581;
    border-radius: 0px 0px 5px 5px;
    display: none;*/ /* Ẩn danh sách các tùy chọn khi chưa được kích hoạt */
/*}

    .select-options li {
        color: #424242;
        margin: 0;
        padding: 12px 0;
        padding-left: 15px;
        -moz-transition: all 0.15s ease-in;
        -o-transition: all 0.15s ease-in;
        -webkit-transition: all 0.15s ease-in;
        transition: all 0.15s ease-in;
    }

        .select-options li:hover {
            color: #424242;
            background: #fff;
        }

::-webkit-scrollbar {
    width: 10px;
    background-color: #F5F5F5;
    border-radius: 0 0 5px 0;
}

::-webkit-scrollbar-thumb {
    border-radius: 10px;
    background-color: #9E9E9E;
}*/
/* CSS Classes */
.row-height-5 .gantt_task_line.gantt_bar_task {
    margin: 10px 0 !important
}

.row-height-28 .gantt_task_line.gantt_bar_task {
    margin: 6px 0 !important
}

.row-height-88 .gantt_task_line.gantt_bar_task {
   margin: 6px 0 !important
}

.row-height-178 .gantt_task_line.gantt_bar_task, .row-height-363 .gantt_task_line.gantt_bar_task {
    margin: 0 !important
}
.row-height-363 .gantt_custom_text, .row-height-178 .gantt_custom_text {
    display: none;
}
.row-height-28 .gantt_side_content.gantt_right {
    top: -32px !important;
}
.row-height-88 .gantt_side_content.gantt_right {
    top: -22px !important;
}
.row-height-28 .checkPlan img {
    width: 17.5px !important;
}
.row-height-88 .checkPlan img {
    width: 11.5px !important;
}
.row-height-178 .checkPlan img {
    width: 11.5px !important;
}
.row-height-363 .checkPlan img {
    width: 11.5px !important;
}
.row-height-28 .iconBlock {
    left: 15px !important;
    top: 0 !important
}
.row-height-88 .iconBlock {
    left: 11px !important;
    top: 0 !important
}
.row-height-178 .iconBlock, .row-height-363 .iconBlock {
    left: 11px !important;
    top: 0 !important
}
.row-height-28 .gantt_layout_x > .gantt_layout_cell .gantt_scale_line:last-child,
.row-height-88 .gantt_layout_x > .gantt_layout_cell .gantt_scale_line:last-child,
.row-height-178 .gantt_layout_x > .gantt_layout_cell .gantt_scale_line:last-child,
.row-height-363 .gantt_layout_x > .gantt_layout_cell .gantt_scale_line:last-child {
    border-top: 1px solid #909090;
}
.row-height-28 .gantt_scale_line:nth-child(1),
.row-height-88 .gantt_scale_line:nth-child(1),
.row-height-178 .gantt_scale_line:nth-child(1),
.row-height-363 .gantt_scale_line:nth-child(1) {
    /*border-bottom: 1px solid #8fb4d3;*/
    /*border-bottom: 1px solid #909090;*/
}
.slider-container {
    position: relative;
    display: flex;
    align-items: center;
    width: 100%;
}
.silderRes{
    margin: 0;
}
.slider-track {
    position: absolute;
    height: 4px;
    width: 100%;
    background-color: #888;
    left: 0;
    top: 50%;
    transform: translateY(-50%);
    opacity: 0
}
.slider-handle {
    width: 4px;
    height: 67vh;
    position: absolute;
    /*background-color: #5496cd;*/
    background-color: #909090;
    cursor: move;
    /*top: 50%;*/
    transform: translateY(-0.5%);
    touch-action: none;
    z-index: 4;
    top:3px
}
/*.slider-handle::before {
    content: '';
    position: absolute;
    top: -7px;
    left: 40%;
    transform: translateX(-50%);
    width: 0;
    height: 0;
    background-color: transparent;
    border-left: 7px solid transparent;
    border-right: 7px solid transparent;
    border-top: 14px solid #5496cd;
}*/
.gantt_task_child.gantt_task_line.color_id_1 {
    border: 1.5px solid #FF0000;
}

.gantt_task_child.gantt_task_line.color_id_2 {
    border: 1.5px solid #FF7F00;
}

.gantt_task_child.gantt_task_line.color_id_3 {
    border: 1.5px solid #FFFF00;
}

.gantt_task_child.gantt_task_line.color_id_4 {
    border: 1.5px solid #7FFF00;
}

.gantt_task_child.gantt_task_line.color_id_5 {
    border: 1.5px solid #00FF00;
}

.gantt_task_child.gantt_task_line.color_id_6 {
    border: 1.5px solid #00FF7F;
}

.gantt_task_child.gantt_task_line.color_id_7 {
    border: 1.5px solid #00FFFF;
}

.gantt_task_child.gantt_task_line.color_id_8 {
    border: 1.5px solid #007FFF;
}

.gantt_task_child.gantt_task_line.color_id_9 {
    border: 1.5px solid #0000FF;
}

.gantt_task_child.gantt_task_line.color_id_10 {
    border: 1.5px solid #7F00FF;
}

.gantt_task_child.gantt_task_line.color_id_11 {
    border: 1.5px solid #FF00FF;
}

.gantt_task_child.gantt_task_line.color_id_12 {
    border: 1.5px solid #FF1493;
}

.gantt_task_child.gantt_task_line.color_id_13 {
    border: 1.5px solid #FF6347;
}

.gantt_task_child.gantt_task_line.color_id_14 {
    border: 1.5px solid #FF4500;
}

.gantt_task_child.gantt_task_line.color_id_15 {
    border: 1.5px solid #FF8C00;
}

.gantt_task_child.gantt_task_line.color_id_16 {
    border: 1.5px solid #FFD700;
}

.gantt_task_child.gantt_task_line.color_id_17 {
    border: 1.5px solid #FFFF00;
}

.gantt_task_child.gantt_task_line.color_id_18 {
    border: 1.5px solid #FFFF33;
}

.gantt_task_child.gantt_task_line.color_id_19 {
    border: 1.5px solid #32CD32;
}

.gantt_task_child.gantt_task_line.color_id_20 {
    border: 1.5px solid #98FB98;
}

.gantt_task_child.gantt_task_line.color_id_21 {
    border: 1.5px solid #008000;
}

.gantt_task_child.gantt_task_line.color_id_22 {
    border: 1.5px solid #006400;
}

.gantt_task_child.gantt_task_line.color_id_23 {
    border: 1.5px solid #A52A2A;
}

.gantt_task_child.gantt_task_line.color_id_24 {
    border: 1.5px solid #8B0000;
}

.gantt_task_child.gantt_task_line.color_id_1 .gantt_task_progress {
    background-color: #FF0000; /* Red */
}

.gantt_task_child.gantt_task_line.color_id_2 .gantt_task_progress {
    background-color: #FF7F00; /* Orange */
}

.gantt_task_child.gantt_task_line.color_id_3 .gantt_task_progress {
    background-color: #FFFF00; /* Yellow */
}

.gantt_task_child.gantt_task_line.color_id_4 .gantt_task_progress {
    background-color: #7FFF00; /* Chartreuse */
}

.gantt_task_child.gantt_task_line.color_id_5 .gantt_task_progress {
    background-color: #00FF00; /* Green */
}

.gantt_task_child.gantt_task_line.color_id_6 .gantt_task_progress {
    background-color: #00FF7F; /* Spring Green */
}

.gantt_task_child.gantt_task_line.color_id_7 .gantt_task_progress {
    background-color: #00FFFF; /* Cyan */
}

.gantt_task_child.gantt_task_line.color_id_8 .gantt_task_progress {
    background-color: #007FFF; /* Azure */
}

.gantt_task_child.gantt_task_line.color_id_9 .gantt_task_progress {
    background-color: #0000FF; /* Blue */
}

.gantt_task_child.gantt_task_line.color_id_10 .gantt_task_progress {
    background-color: #7F00FF; /* Violet */
}

.gantt_task_child.gantt_task_line.color_id_11 .gantt_task_progress {
    background-color: #FF00FF; /* Magenta */
}

.gantt_task_child.gantt_task_line.color_id_12 .gantt_task_progress {
    background-color: #FF1493; /* Deep Pink */
}

.gantt_task_child.gantt_task_line.color_id_13 .gantt_task_progress {
    background-color: #FF6347; /* Tomato */
}

.gantt_task_child.gantt_task_line.color_id_14 .gantt_task_progress {
    background-color: #FF4500; /* Orange Red */
}

.gantt_task_child.gantt_task_line.color_id_15 .gantt_task_progress {
    background-color: #FF8C00; /* Dark Orange */
}

.gantt_task_child.gantt_task_line.color_id_16 .gantt_task_progress {
    background-color: #FFD700; /* Gold */
}

.gantt_task_child.gantt_task_line.color_id_17 .gantt_task_progress {
    background-color: #FFFF00; /* Yellow */
}

.gantt_task_child.gantt_task_line.color_id_18 .gantt_task_progress {
    background-color: #FFFF33; /* Light Yellow */
}

.gantt_task_child.gantt_task_line.color_id_19 .gantt_task_progress {
    background-color: #32CD32; /* Lime Green */
}

.gantt_task_child.gantt_task_line.color_id_20 .gantt_task_progress {
    background-color: #98FB98; /* Pale Green */
}

.gantt_task_child.gantt_task_line.color_id_21 .gantt_task_progress {
    background-color: #008000; /* Green */
}

.gantt_task_child.gantt_task_line.color_id_22 .gantt_task_progress {
    background-color: #006400; /* Dark Green */
}

.gantt_task_child.gantt_task_line.color_id_23 .gantt_task_progress {
    background-color: #A52A2A; /* Brown */
}

.gantt_task_child.gantt_task_line.color_id_24 .gantt_task_progress {
    background-color: #8B0000; /* Dark Red */
}

.gantt_task_hover {
    background-color: #fffadf !important;
}

.calendar-shift-dot {
    border: 5px solid rgba(55, 136, 216, 0.8);
    border-radius: 5px;
    box-sizing: content-box;
    height: 0;
    margin: 0 4px;
    width: 0;
    position: absolute;
    bottom: 6px;
    left: 4px;
}

.calendar-shift-dot::before {
    content: '';
    position: absolute;
    top: -10px;
    left: -10px;
    right: -10px;
    bottom: -10px;
    background: transparent;
}

.tooltip.custom-tooltip .tooltip-inner {
    background-color: rgba(72, 104, 131);
    color: white;
    /*    font-size: 12px;*/
    /*    padding: 6px 10px;*/
    border-radius: 4px;
}

.tooltip.custom-tooltip .tooltip-arrow::before {
    border-top-color: rgba(72, 104, 131)     !important;
}

.today-highlight {
    /*    background-color: rgba(163, 211, 255, 0.4);*/
    background-color: rgba(255, 229, 87, 0.5);
    border: none;
}

.gantt_row.row-checked-highlight {
    background-color: rgba(191, 228, 255, 0.6);
}
.gantt_row.odd.row-checked-highlight {
    background-color: rgba(64, 163, 255, 0.4);
}